<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<soapenv:Envelope xmlns:epay="http://xml.thaiairways.com/cgo/manage/epayment" xmlns:head="http://xml.accenture.com/common/header" xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:v1="http://xml.thaiairways.com/cgo/manage/epayment/updatebankpayment/v1_0">
  <soapenv:Header>
    <wsse:Security soapenv:mustUnderstand="1" xmlns:wsse="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd">
      <wsse:UsernameToken wsu:Id="UsernameToken-1" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd">
        <wsse:Username>tgor002</wsse:Username>
        <wsse:Password Type="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-username-token-profile-1.0#PasswordText">z23k4hkh</wsse:Password>
        <wsse:Nonce EncodingType="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-soap-message-security-1.0#Base64Binary">PdveymZJii5EaSSGQgqdow==</wsse:Nonce>
        <wsu:Created>2015-04-23T13:23:00.217Z</wsu:Created>
      </wsse:UsernameToken>
    </wsse:Security>
    <head:ReqHeader>
      <head:ReqDateTime>2016-08-19T15:21:45</head:ReqDateTime>
      <head:ReqTxnID>NETBAY_0000000002</head:ReqTxnID>
      <head:SvcVer>v1_0</head:SvcVer>
      <head:IsLastTxn>true</head:IsLastTxn>
      <head:Credentials>
        <head:MWCredential>
          <head:ReqID>CG_NETBAY_EPAY</head:ReqID>
          <head:ReqPwd/>
          <head:UserID/>
        </head:MWCredential>
      </head:Credentials>
    </head:ReqHeader>
  </soapenv:Header>
  <soapenv:Body>
    <epay:UpdateBankPaymentReq>
      <v1:bankPaymentBean>
        <v1:agentId>00000</v1:agentId>
        <v1:awbno>21740065480</v1:awbno>
        <v1:bankCode>KBANK</v1:bankCode>
        <v1:chargeAmount>2942.5</v1:chargeAmount>
        <v1:dlvDate>19AUG2016 1440</v1:dlvDate>
        <v1:value>false</v1:value>
        <v1:whtax>false</v1:whtax>
        <v1:msgid>00009001264</v1:msgid>
        <v1:paymentDate>19AUG16</v1:paymentDate>
        <v1:paymentType>S</v1:paymentType>
        <v1:refNo>A2KB000012773</v1:refNo>
        <v1:hawbNo/>
      </v1:bankPaymentBean>
    </epay:UpdateBankPaymentReq>
  </soapenv:Body>
</soapenv:Envelope>


<?xml version="1.0" encoding="UTF-8"?>
<SOAP-ENV:Envelope xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/">
   <SOAP-ENV:Body>
      <SOAP-ENV:Fault>
         <faultcode>SOAP-ENV:Server</faultcode>
         <faultstring>Internal Error</faultstring>
         <faultactor>PROVIDER</faultactor>
         <detail>
            <mwerror:ErrList xmlns:mwerror="http://xml.accenture.com/common/fault" xmlns:tns="http://ws.thaiairways.com/cgo/manage/epayment">
               <mwerror:Err>
                  <mwerror:ErrCat>30</mwerror:ErrCat>
                  <mwerror:ErrCatDesc>Parsing Errors</mwerror:ErrCatDesc>
                  <mwerror:ErrCode>3000</mwerror:ErrCode>
                  <mwerror:ErrDesc>Invalid Input Request data</mwerror:ErrDesc>
                  <mwerror:ErrSev>Severity-2</mwerror:ErrSev>
                  <mwerror:ErrSrc>CG_NETBAY_EPAY</mwerror:ErrSrc>
                  <mwerror:ErrTgt>CARGO</mwerror:ErrTgt>
                  <mwerror:ErrDateTime>2016-08-19T15:13:32.129+07:00</mwerror:ErrDateTime>
                  <mwerror:ErrDetail />
                  <mwerror:MWErrDetails>
                     <mwerror:ErrHeader>
                        <mwerror:ServiceProvider>CARGO</mwerror:ServiceProvider>
                        <mwerror:MWTxnID>SY_TGAIP_1471594410706</mwerror:MWTxnID>
                        <mwerror:ReqTxnID>NETBAY_0000000002</mwerror:ReqTxnID>
                        <mwerror:ReqID>CG_NETBAY_EPAY</mwerror:ReqID>
                        <mwerror:MWProcess>ServiceImplementation/ws.thaiairways.com/CGO/Manage/Epayment/Operations/UpdateBankPayment.process</mwerror:MWProcess>
                        <mwerror:MWActivity>Epayment.composite - Fault</mwerror:MWActivity>
                     </mwerror:ErrHeader>
                  </mwerror:MWErrDetails>
               </mwerror:Err>
            </mwerror:ErrList>
         </detail>
      </SOAP-ENV:Fault>
   </SOAP-ENV:Body>
</SOAP-ENV:Envelope>

//2

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<soapenv:Envelope xmlns:epay="http://xml.thaiairways.com/cgo/manage/epayment" xmlns:head="http://xml.accenture.com/common/header" xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:v1="http://xml.thaiairways.com/cgo/manage/epayment/updatebankpayment/v1_0">
  <soapenv:Header>
    <wsse:Security soapenv:mustUnderstand="1" xmlns:wsse="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd">
      <wsse:UsernameToken wsu:Id="UsernameToken-1" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd">
        <wsse:Username>tgor002</wsse:Username>
        <wsse:Password Type="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-username-token-profile-1.0#PasswordText">z23k4hkh</wsse:Password>
        <wsse:Nonce EncodingType="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-soap-message-security-1.0#Base64Binary">PdveymZJii5EaSSGQgqdow==</wsse:Nonce>
        <wsu:Created>2015-04-23T13:23:00.217Z</wsu:Created>
      </wsse:UsernameToken>
    </wsse:Security>
    <head:ReqHeader>
      <head:ReqDateTime>2016-08-19T15:23:16</head:ReqDateTime>
      <head:ReqTxnID>NETBAY_0000000002</head:ReqTxnID>
      <head:SvcVer>v1_0</head:SvcVer>
      <head:IsLastTxn>true</head:IsLastTxn>
      <head:Credentials>
        <head:MWCredential>
          <head:ReqID>CG_NETBAY_EPAY</head:ReqID>
          <head:ReqPwd/>
          <head:UserID/>
        </head:MWCredential>
      </head:Credentials>
    </head:ReqHeader>
  </soapenv:Header>
  <soapenv:Body>
    <epay:UpdateBankPaymentReq>
      <v1:bankPaymentBean>
        <v1:agentId>00000</v1:agentId>
        <v1:awbno>21740065454</v1:awbno>
        <v1:bankCode>KBANK</v1:bankCode>
        <v1:chargeAmount>3744.0</v1:chargeAmount>
        <v1:dlvDate>19AUG2016 1350</v1:dlvDate>
        <v1:value>false</v1:value>
        <v1:whtax>true</v1:whtax>
        <v1:msgid>00009001259</v1:msgid>
        <v1:paymentDate>19AUG16</v1:paymentDate>
        <v1:paymentType>S</v1:paymentType>
        <v1:refNo>A2KB000012772</v1:refNo>
        <v1:hawbNo/>
      </v1:bankPaymentBean>
    </epay:UpdateBankPaymentReq>
  </soapenv:Body>
</soapenv:Envelope>
[2016-08-19 15:23:17.933] [INFO] resendtg - RESEND-UPDATE-PAYMENT|A2KB000012772:21740065454|RESPONSE-SUCCESS|<?xml version="1.0" encoding="UTF-8"?>
<SOAP-ENV:Envelope xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/"><SOAP-ENV:Header><ResHeader xmlns="http://xml.accenture.com/common/header" xmlns:ns="http://xml.thaiairways.com/cgo/manage/epayment/updatebankpayment/v1_0" xmlns:ns0="http://schemas.xmlsoap.org/soap/envelope/" xmlns:tns="http://ws.thaiairways.com/cgo/manage/epayment/v1_0" xmlns:tns1="http://ws.thaiairways.com/cgo/manage/epayment" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><ResDateTime>2016-08-19T15:20:29.821+07:00</ResDateTime><ReqTxnID>NETBAY_0000000002</ReqTxnID><MWTxnID>SY_TGAIP_1471594828300</MWTxnID><IsLastTxn>true</IsLastTxn><ResCode>SUCCESS</ResCode></ResHeader></SOAP-ENV:Header><SOAP-ENV:Body><ns0:UpdateBankPaymentRes xmlns="http://xml.thaiairways.com/cgo/manage/epayment/updatebankpayment/v1_0" xmlns:ns0="http://xml.thaiairways.com/cgo/manage/epayment" xmlns:ns2="http://xml.accenture.com/common/header" xmlns:tns="http://ws.thaiairways.com/cgo/manage/epayment/v1_0" xmlns:tns1="http://ws.thaiairways.com/cgo/manage/epayment"><return><Error><Code>COM.001</Code><Message>+----------------------------------------------------------+
com.emirates.jfoundation.exception.ServiceException
+----------------------------------------------------------+
    com.emirates.jfoundation.exception.ServiceException
        at com.emirates.ngcs.tg.server.model.ghoperations.helper.BankPaymentHelper.saveGHCargoDelivery(BankPaymentHelper.java:545)
        at com.emirates.ngcs.tg.server.ghoperations.implementation.ExtendedGHOperationsBean.updateBankPayment(ExtendedGHOperationsBean.java:447)
        at com.emirates.ngcs.tg.server.ghoperations.implementation.ExtendedGHOperations_ta6jhg_ELOImpl.updateBankPayment(ExtendedGHOperations_ta6jhg_ELOImpl.java:933)
        at com.emirates.ngcs.tg.server.ghoperations.implementation.ExtendedGHOperationsServiceBean.updateBankPayment(ExtendedGHOperationsServiceBean.java:366)
        at com.emirates.ngcs.tg.server.ghoperations.implementation.ExtendedGHOperationsServiceBean_jc6pgw_EOImpl.updateBankPayment(ExtendedGHOperationsServiceBean_jc6pgw_EOImpl.java:1696)
        at com.emirates.ngcs.tg.server.ghoperations.implementation.ExtendedGHOperationsServiceBean_jc6pgw_EOImpl_WLSkel.invoke(Unknown Source)
        at weblogic.rmi.internal.BasicServerRef.invoke(BasicServerRef.java:589)
        at weblogic.rmi.cluster.ClusterableServerRef.invoke(ClusterableServerRef.java:230)
        at weblogic.rmi.internal.BasicServerRef$1.run(BasicServerRef.java:477)
        at weblogic.security.acl.internal.AuthenticatedSubject.doAs(AuthenticatedSubject.java:363)
        at weblogic.security.service.SecurityManager.runAs(SecurityManager.java:147)
        at weblogic.rmi.internal.BasicServerRef.handleRequest(BasicServerRef.java:473)
        at weblogic.rmi.internal.wls.WLSExecuteRequest.run(WLSExecuteRequest.java:118)
        at weblogic.work.ExecuteThread.execute(ExecuteThread.java:201)
        at weblogic.work.ExecuteThread.run(ExecuteThread.java:173)
</Message><Type>HOST</Type></Error></return></ns0:UpdateBankPaymentRes></SOAP-ENV:Body></SOAP-ENV:Envelope>

